Subject: E100 RX ring buffers continued...

From: Krzysztof Halasa <[email-masked]>
Date: Sat, 22 Aug 2009 16:09:00 +0200

Hi,

E100 RX buffers seem more problematic than I though.
The descriptor doesn't contain the address of the data buffer. Instead,
the descriptor is to be followed by the data buffer immediately. It's
not only the driver invention :-(

The manual mentions it's the only mode supported, aka "simplified mode".
There is also apparently unsupported and mostly undocumented "flexible
mode". The question to Intel's experts: can the flexible mode be used
anyway? I can write the code, but need info about eg. the data
structures (RFD, how does it work in flexible mode) and a confirmation
the silicon (or maybe which silicon) will work with it.

TIA.
-- 
Krzysztof Halasa